package domain


type AlibabaWdkMerchantItemUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkMerchantItemUpdateResult) SetSuccess(v bool) *AlibabaWdkMerchantItemUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkMerchantItemUpdateResult) SetErrorCode(v string) *AlibabaWdkMerchantItemUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkMerchantItemUpdateResult) SetErrorDesc(v string) *AlibabaWdkMerchantItemUpdateResult {
    s.ErrorDesc = &v
    return s
}
